#
# Conditional build:
%bcond_with	apidocs		# API documentation (broken install: HTML for devhelp part, sources+HTML for gtk-doc?)
%bcond_without	vala		# Vala API
%bcond_without	bluez		# Bluez backend
%bcond_without	evolution	# EDS (Evolution Data Server) backend
%bcond_without	ofono		# oFono backend
%bcond_without	telepathy	# Telepathy backend
%bcond_without	zeitgeist	# ` Zeitgeist support in Telepathy backend

%if %{without telepathy}
%undefine	with_zeitgeist
%endif
Summary:	GObject contact aggregation library
Summary(pl.UTF-8):	Biblioteka GObject do agregowania kontaktów
Name:		folks
Version:	0.15.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/folks/0.15/%{name}-%{version}.tar.xz
# Source0-md5:	5835eaea7db9630457b6a1b564efcd09
Patch0:		%{name}-meson.patch
Patch1:		%{name}-module.patch
URL:		https://wiki.gnome.org/Projects/Folks
BuildRequires:	dbus-devel
%{?with_telepathy:BuildRequires:	dbus-glib-devel}
%if %{with bluez} || %{with evolution} || %{with ofono}
# libebook for all; libebook-contacts, libedataserver, evolution-data-server for evolution
BuildRequires:	evolution-data-server-devel >= 3.38
%endif
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.58
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	libgee-devel >= 0.8.4
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.51
BuildRequires:	ncurses-devel
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python3 >= 1:3.2
%{?with_bluez:BuildRequires:	python3-dbusmock}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	readline-devel
BuildRequires:	tar >= 1:1.22
%{?with_telepathy:BuildRequires:	telepathy-glib-devel >= 0.19.9}
%if %{with vala}
BuildRequires:	vala >= 2:0.22.1
%if %{with bluez} || %{with evolution} || %{with ofono}
BuildRequires:	vala-evolution-data-server >= 3.38
%endif
BuildRequires:	vala-libgee >= 0.8.4
%{?with_telepathy:BuildRequires:	vala-telepathy-glib >= 0.19.9}
%{?with_zeitgeist:BuildRequires:	vala-zeitgeist >= 0.9.14}
%endif
%{?with_apidocs:BuildRequires:	valadoc >= 0.3.1}
BuildRequires:	xz
%{?with_zeitgeist:BuildRequires:	zeitgeist-devel >= 0.9.14}
%if %{with bluez} || %{with evolution} || %{with ofono}
Requires:	evolution-data-server-libs >= 3.38
%endif
Requires:	glib2 >= 1:2.58
Requires:	libgee >= 0.8.4
%{?with_telepathy:Requires:	telepathy-glib >= 0.19.9}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		abiver	26

%description
libfolks is a library that aggregates people from multiple sources
(e.g. Telepathy connection managers and eventually evolution data
server, Facebook, etc.) to create meta-contacts.

%description -l pl.UTF-8
libfolks to biblioteka gromadząca osoby z wielu źródeł (np. zarządców
połączeń Telepathy, serwera danych Evolution, Facebooka itp.), aby
utworzyć metakontakty.

%package devel
Summary:	Development files for folks libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek folks
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with bluez} || %{with evolution} || %{with ofono}
Requires:	evolution-data-server-devel >= 3.38
%endif
Requires:	glib2-devel >= 1:2.58
Requires:	libgee-devel >= 0.8.4
%{?with_telepathy:Requires:	telepathy-glib-devel >= 0.19.9}

%description devel
Development files for folks libraries.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek folks.

%package -n vala-folks
Summary:	folks API for Vala language
Summary(pl.UTF-8):	API folks dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.22.1
%if %{with bluez} || %{with evolution} || %{with ofono}
Requires:	vala-evolution-data-server >= 3.38
%endif
Requires:	vala-libgee >= 0.8.4
%{?with_telepathy:Requires:	vala-telepathy-glib >= 0.19.9}
BuildArch:	noarch

%description -n vala-folks
folks API for Vala language.

%description -n vala-folks -l pl.UTF-8
API folks dla języka Vala.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%meson build \
	%{!?with_bluez:-Dbluez_backend=false} \
	%{?with_apidocs:-Ddocs=true} \
	%{!?with_evolution:-Deds_backend=false} \
	%{!?with_ofono:-Dofono_backend=false} \
	%{!?with_telepathy:-Dtelepathy_backend=false} \
	%{?with_zeitgeist:-Dzeitgeist=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/folks-import
%attr(755,root,root) %{_bindir}/folks-inspect
%attr(755,root,root) %{_libdir}/libfolks.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks.so.26
%attr(755,root,root) %{_libdir}/libfolks-dummy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-dummy.so.26
%{_libdir}/girepository-1.0/Folks-0.7.typelib
%{_libdir}/girepository-1.0/FolksDummy-0.7.typelib
%dir %{_libdir}/folks
%dir %{_libdir}/folks/%{abiver}
%dir %{_libdir}/folks/%{abiver}/backends
%dir %{_libdir}/folks/%{abiver}/backends/dummy
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/dummy/dummy.so
%dir %{_libdir}/folks/%{abiver}/backends/key-file
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/key-file/key-file.so
%if %{with bluez}
%dir %{_libdir}/folks/%{abiver}/backends/bluez
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/bluez/bluez.so
%endif
%if %{with ofono}
%dir %{_libdir}/folks/%{abiver}/backends/ofono
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/ofono/ofono.so
%endif
%if %{with evolution}
%attr(755,root,root) %{_libdir}/libfolks-eds.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-eds.so.26
%{_libdir}/girepository-1.0/FolksEds-0.7.typelib
%dir %{_libdir}/folks/%{abiver}/backends/eds
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/eds/eds.so
%endif
%if %{with telepathy}
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-telepathy.so.26
%{_libdir}/girepository-1.0/FolksTelepathy-0.7.typelib
%dir %{_libdir}/folks/%{abiver}/backends/telepathy
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/telepathy/telepathy.so
%endif
%{_datadir}/GConf/gsettings/folks.convert
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfolks.so
%attr(755,root,root) %{_libdir}/libfolks-dummy.so
%{_datadir}/gir-1.0/Folks-0.7.gir
%{_datadir}/gir-1.0/FolksDummy-0.7.gir
%{_includedir}/folks
%{_pkgconfigdir}/folks.pc
%{_pkgconfigdir}/folks-dummy.pc
%if %{with evolution}
%attr(755,root,root) %{_libdir}/libfolks-eds.so
%{_datadir}/gir-1.0/FolksEds-0.7.gir
%{_pkgconfigdir}/folks-eds.pc
%endif
%if %{with telepathy}
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so
%{_datadir}/gir-1.0/FolksTelepathy-0.7.gir
%{_pkgconfigdir}/folks-telepathy.pc
%endif

%if %{with vala}
%files -n vala-folks
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/folks.deps
%{_datadir}/vala/vapi/folks.vapi
%{_datadir}/vala/vapi/folks-dummy.deps
%{_datadir}/vala/vapi/folks-dummy.vapi
%if %{with evolution}
%{_datadir}/vala/vapi/folks-eds.deps
%{_datadir}/vala/vapi/folks-eds.vapi
%endif
%if %{with telepathy}
%{_datadir}/vala/vapi/folks-telepathy.deps
%{_datadir}/vala/vapi/folks-telepathy.vapi
%endif
%endif
%changelog
* Mon Jul 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/folks.git;a=log;h=master

* Mon Jul 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 1048d5f
- updated to 0.15.3

* Fri Apr 02 2021 Jakub Bogusz <qboosh@pld-linux.org> 2e48eb9
- updated to 0.15.2 (new sonames, tracker support is gone)
- removed obsolete vala patch

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 84d9d8e
- unconditional noarch subpackages

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 5d56050
- added vala patch (adjust for gio vala API change)
- release 2 (e-d-s 3.38)

* Wed Apr 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 062b270
- updated to 0.14.0

* Sat Mar 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 526c38c
- updated to 0.13.2

* Fri Oct 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 2230d46
- release 3

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> dae6364
- release 2 (by relup.sh)

* Tue Oct 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 6438d6e
- updated to 0.13.1 (GNOME 3.34)
- removed obsolete libsocialweb patch, socialweb backend has been removed upstream

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> e013a58
- updated to 0.12.1 (now uses meson)
- removed outdated tracer2 patch
- added meson patch (workaround for some vala related bug in meson)
- added libsocialweb patch (fix socialweb backend build and install)
- added module patch (don't build eds static module)

* Wed Apr 17 2019 Jan Rękorajski <baggins@pld-linux.org> 0f33da6
- icu/boost rebuild
- release 3 (by relup.sh)

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 7cec90d
- Release 2

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> e83b35d
- regenerating this crap doesn't seem to work, so just hck it

* Thu Nov 23 2017 Jan Rękorajski <baggins@pld-linux.org> d18bd8d
- up to 0.11.4

* Tue Mar 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9ed90c4
- release 3 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5efb776
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Mon Sep 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 41ef066
- Update to 0.11.3

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> d3de629
- noarch vala subpackage

* Sun Dec 06 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9852661
- Update to 0.11.2

* Mon Sep 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> 6e75aa1
- rebuild with evolution-data-server-3.18
- release 2 (by relup.sh)

